load SiO2Grating12degP775H520A260.mat

data = reshape(SiO2Grating12degP775H520A260,351,26);

figure
plot(data(:,1),data(:,14))
hold on
for i = 1:9
    if i < 5
    plot(data(:,1),data(:,14+i),'-')
    else
       if i==5
       set(gca,'ColorOrderIndex',1)
       end
       plot(data(:,1),data(:,14+i),'--') 
    end
end
plot(data(:,1),data(:,26),'k-') 

axis([400 750 0 1])
xlabel('wavelength[nm]')
ylabel('Grating efficiency[-]')
legend('0th order transmission','-1st order transmission','1st order transmission','-2nd order transmission','2nd order transmission','0th order reflection','-1st order reflection','1st order reflection','-2nd order reflection','2nd order reflection','absorption')