load ITMOMieSpectrum_n4.mat

figure
hold on
for i=1:6
    plot(ITMOMieSpectrum_n4(:,1),ITMOMieSpectrum_n4(:,2+3*i))
end
set(gca,'ColorOrderIndex',1)
for i=7:8
    plot(ITMOMieSpectrum_n4(:,1),ITMOMieSpectrum_n4(:,2+3*i),'--')
end

plot(ITMOMieSpectrum_n4(:,1),ITMOMieSpectrum_n4(:,2),'k')
axis tight
legend('Electric Dipole','Magnetic Dipole','Electric Quadrupole','Magnetic Quadrupole','Electric Octupole','Magnetic Octupole','Electric 16-pole','Magnetic 16-pole','Extinction cross section')
set(gcf,'Position',[100 100 1000 540])
axis([500 6000 0 12])
xlabel('Wavelength [nm]')
ylabel('Normalized cross section [-]')