%Set plotting style
plottingstyle

%Mie scattering over large bandwidth
% n = 4, k = 0
% d = 1000 nm
% From https://physics.itmo.ru/en/mie#/spectrum
load ITMOMieSpectrum_n4.mat

figure
plot(ITMOMieSpectrum_n4(:,1),ITMOMieSpectrum_n4(:,2),'k')
hold on
for i=1:8
    plot(ITMOMieSpectrum_n4(:,1),ITMOMieSpectrum_n4(:,2+3*i))
end
axis tight
legend('Normalized cross section','Electric Dipole','Magnetic Dipole','Electric Quadrupole','Magnetic Quadrupole','Electric Octupole','Magnetic Octupole','Electric 16-pole','Magnetic 16-pole')

%Mie scattering over large bandwidth 2
% n = 2, k = 0
% d = 2000 nm
% From https://physics.itmo.ru/en/mie#/spectrum
load ITMOMieSpectrum_n2.mat

figure
plot(ITMOMieSpectrum_n2(:,1),ITMOMieSpectrum_n2(:,2),'k')
hold on
for i=1:8
    plot(ITMOMieSpectrum_n2(:,1),ITMOMieSpectrum_n2(:,2+3*i))
end
axis tight
legend('Normalized cross section','Electric Dipole','Magnetic Dipole','Electric Quadrupole','Magnetic Quadrupole','Electric Octupole','Magnetic Octupole','Electric 16-pole','Magnetic 16-pole')
